package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.ActivityRecommend;

@Mapper
public interface ActivityRecommendMapper {

    public ActivityRecommend queryActivityRecommend(ActivityRecommend activityRecommend);

    public List<ActivityRecommend> queryActivityRecommendList(ActivityRecommend activityRecommend);

    public void saveActivityRecommend(ActivityRecommend activityRecommend);

    public void updateActivityRecommend(ActivityRecommend activityRecommend);

    public void deleteActivityRecommend(ActivityRecommend activityRecommend);

    public List<ActivityRecommend> queryActivityRecommendPage(Map map);

    public Integer queryActivityRecommendPageCount(Map map);

    public void saveActivityRecommendBatch(List<ActivityRecommend>  activityRecommendList);
}

